Changelog
=========


2.5.1 (2019-11-29)
------------------

- Fix upgrade step. [tinagerber]


2.5.0 (2019-11-27)
------------------

- Change event binding on tab from onClick to just click in order to trigger the function on plone 5 too. [mathias.leimgruber]

- No longer accidentally load google maps api js twice. [mathias.leimgruber]

- Add ftw.simplelayout.contenttypes profile when mapblock is added by default. [busykoala]

- Remove (AT) LinkBuilder in favour of the one in ftw.builder. [djowett-ftw]


2.4.1 (2019-11-14)
------------------

- Improve English in README.rst. [djowett-ftw]
- Make the upload widget in FileListingBlock choose the content type it creates
  based on it's `allowed_content_types`. [djowett-ftw]


2.4.0 (2019-11-14)
------------------

- Leadimage: support changing the scale direction in the view call. [jone]


2.3.0 (2019-11-11)
------------------

- Add ftw.theming:default (upgrade step not provided). [busykoala]
- Unify "Save" translation across content types and plone versions [Nachtalb]
- Improve linking between baseline and working copy [Nachtalb]


2.2.0 (2019-10-30)
------------------

- Fix galleryblock on click no big image available [Nachtalb]
- Fix typo in settings description. [jone]
- Install contenttypes extras by default and deprecate the extra itself [Nachtalb]
- Save files uploaded via dropzone as blobs [Nachtalb]
- Fix image rotation for images uploaded via dropzone [Nachtalb]
- Remove collective.quickupload as a dependency for plone 4 (replaced by dropzone.js in 2.0.0) [Nachtalb]


2.1.2 (2019-08-29)
------------------

- Fix plone.app.events EventBasic timezone conflict when applying working copies [Nachtalb]


2.1.1 (2019-08-27)
------------------

- Fix mapblock.js compatibility with plone5 [Nachtalb]

- Move contenttypes js to resource bundles. [busykoala]

- Fix html entities in data-googlejs url [mathias.leimgruber]

- Fix contenttypes and mapblock js resources. [mathias.leimgruber]

- Preserve childrens children order when applying working copies [Nachtalb]


2.1.0 (2019-05-21)
------------------

- Add macros and slots to block views for easy customization. [jone]
- Include map preferences behaviours in mapblock.js [Nachtalb]


2.0.2 (2019-05-17)
------------------

- Fix JavaScript of the map block. [mbaechtold]

- Revert: Commit abc8 mistakenly removed IReferencable [busykoala]

- Staging: remove auto generated children when creating a working copy. [jone]

- In order to trigger the plone transform chain, we need to maintain the mimeType of the RichTextValue. [mathias.leimgruber]

- Staging: Add link to working copies in warning message. [mathias.leimgruber]

- Fix plone 4 build by pinning collective.z3cform.datagridfield to 1.4.0. [mathias.leimgruber]


2.0.1 (2019-03-08)
------------------

- Update Readme with some plone 4/5 installation hints [mathias.leimgruber]

- Update package metadata. [mathias.leimgruber]

- Add collective.quickupload as dependency for the plone4 extra.


2.0.0 (2019-03-06)
------------------

- Add Plone 5.1 compatibility [jone, mbaechtold, mathas.leimgruber]

- Remove development GS profile because it did not work. [jone]

- Reimplement file uploading by replacing quickupload with Dropzone.js. [mathias.leimgruber, jone]

- Make mapblock plone 5.1 compatible. Mainly by updating to a good known set of c.geo packages [mathias.leimgruber]


1.23.5 (2018-12-18)
-------------------

- Add zcml:condition="have ftw.simplelayout:trash" to trash related handlers. [mathias.leimgruber]


1.23.4 (2018-12-13)
-------------------

- Trash: No longer index trashed blocks. [mathias.leimgruber]


1.23.3 (2018-11-20)
-------------------

- Staging: fix an error which broke staging when having a link to a sub page. [jone]


1.23.2 (2018-11-16)
-------------------

- Set last modifier for parent object, when sl block is edited if collective.lastmodifier is installed
  This feature is a available for ``collective.lastmodifier`` version ``1.1.3`` and above [Nachtalb]


1.23.1 (2018-11-12)
-------------------

- Implement unrestricted_uuidToObject to get the infos for the staging viewlet, regardless of the workflow. [mathias.leimgruber]

- Add support for www.youtube-nocookie.com video urls. [mathias.leimgruber]


1.23.0 (2018-10-08)
-------------------

- Add tooling for creating a staging solution. [jone]


1.22.3 (2018-10-03)
-------------------

- Add missing_value attribute to the `image_limits` and `image_cropping_aspect_ratios`
  interfaces to prevent the form @@simplelayout-controlpanel from saving `None`
  if no values are given. [elioschmutz]


1.22.2 (2018-09-26)
-------------------

- Fix a caching issue where the cropping overlay have showed the old image after uploading a new one. [elioschmutz]


1.22.1 (2018-09-25)
-------------------

- Fix image cropper styling with blueberry marketing theme. [elioschmutz]


1.22.0 (2018-09-25)
-------------------

- Add imagecropping with configurable aspect-ratios for textblock-images. [elioschmutz]
- Add configurable hard and soft image limits for textblocks. [elioschmutz]
- Add plone.restapi endpoint for synchronizing blocks with the page config [Nachtalb]
- Add additional opengraph tags og:description fb:app_id fb:admins [Nachtalb]

1.21.1 (2018-07-06)
-------------------

- Support Plone 4.3.17 (Quick fix for getting the base-url still from the base tag). [mathias.leimgruber]

- Fix JS error in FF by actually passing the event object as parameter. [mathias.leimgruber]


1.21.0 (2018-07-05)
-------------------

- Add optional support for ``ftw.trash``. [jone]

1.20.3 (2018-07-05)
-------------------

- Set default value for image cropping in slider block migration [raphael-s]

- Set simplelayout slot for teaser block migration [raphael-s]


1.20.2 (2018-03-26)
-------------------

- Scale images for colorbox overlay view to fix edge case cashing of images. [raphael-s]


1.20.1 (2018-03-01)
-------------------

- Move title and show_title field into the coordinates schemata on MapBlock. [mathias.leimgruber]

- Fix loading google / geo maps in overlays within a tab. [mathias.leimgruber]


1.20.0 (2018-01-26)
-------------------

- Add support for "ftw.gopip". [jone, mbaechtold]

- Optionally render a title of the mapblock. [mbaechtold]

- Content page builder only synchronises page config if the
  page contains blocks. [mbaechtold]

- Implement more specific MapLayers factory to prevent adding the same layers multiple times. [mathias.leimgruber]

- Implement persisten map layer and zoom value.
  Both can be chosen in the edit widget and will be reused on the display widget. [mathias.leimgruber]


1.19.0 (2017-11-01)
-------------------

- The browser does no longer jump to the top when opening an overlay. [Kevin Bieri]

- Handle view names in unicode strings. [mbaechtold]

- New Feature: Asymmetric layouts. [Kevin Bieri, mathias.leimgruber]

  - Introduced layout configurations (classes on layouts)
  - By default we have golden ratio-, 1-2-1-, 3-1, 1-1-2-layouts
  - This change introduces two now wrappers (div-tag), while render the simplelayout content.
    Please be aware that those new wrappers may break your CSS selectors.


1.18.5 (2017-07-25)
-------------------

- Handle view names in unicode strings. [mbaechtold]

- Add anchor to new created blocks. [Kevin Bieri]

- The galleryblock now renders a fallback image when the image to be displayed is truncated. [mbaechtold]

- Make iframe fixes compatible with ftw.iframefix 2.0. [Kevin Bieri]

- Use a static vocabulary for the sort options of the gallery block. [mbaechtold]

- Install ftw.iframefix
  [Kevin Bieri]


1.18.4 (2017-06-15)
-------------------

- Add more sorting options (position in parent, id) to the gallery block. [mbaechtold]

- Move print styles accidentally defined in plonetheme.blueberry. [Kevin Bieri]

- Migration: Handle different simplelayout layouts. [lknoepfel]

- Disable kss spinner. [Kevin Bieri]


1.18.3 (2017-04-06)
-------------------

- Fix ordering error on Plone site root. [jone]


1.18.2 (2017-03-30)
-------------------

- Fix UnboundLocalError in the simplelayout portlet. [mbaechtold]

- Make anchor extraction more robust. [mbaechtold]

- Remove unused "addable_block_types" method from simplelayout view. [jone]


1.18.1 (2017-03-23)
-------------------

- Fix copy/paste bug with p.a.referenceablebehavior. [jone]

- Make sure plone.app.referenceablebehavior is installed. [jone]


1.18.0 (2017-03-23)
-------------------

- Improve anchor extraction. [mbaechtold]

- Synchronize simplelayout block order to Plone's ordered container. [jone]

- Improve support for hidden blocks introduced in 1.2.1. [mbaechtold]


1.17.2 (2017-03-07)
-------------------

- Make MapBlock addable on plone site per default [raphael-s]


1.17.1 (2017-02-28)
-------------------

- Include theme compatibility hint in readme.
  [Kevin Bieri]

- Prevent plone ajax spinner from being shown. [Kevin Bieri]

- Restore slot defaults when removing last layout. [jone]


1.17.0 (2017-01-26)
-------------------

- Conditionally display move action on toolbar on the layout
  [Kevin Bieri]

- Include handlebars in distributed library.
  [Kevin Bieri]

- Fix map block not showing the Google maps.
  [mbaechtold]

- Use browserify as javascript bundler

  - Update tests using karma
  - Add support for ES6 using babeljs

  [Kevin Bieri]


1.16.0 (2017-01-23)
-------------------

- Extend the textblock with the "data-caption" attribute which can hold
  the caption rendered in the colorbox (requires "ftw.colorbox" 1.2.4).
  [mbaechtold]


1.15.1 (2017-01-17)
-------------------

- Do render the simplelayout portlet on non-simplelayout
  content types. [mbaechtold]


1.15.0 (2017-01-16)
-------------------

- TinyMCE: Disable "anchor"-Tab when creating a link. [jone]

- TinyMCE: configure content page to contain anchors. [jone]

- Change primary field of text block from "image" to "text" field
  in order to support anchors. [jone]

- Implement a simplelayout renderer object. This allows us to render
  simplelayoutish structures without the simplelayout provider expression.
  Further it's now possible to render only one layout of slot.
  [mathias.leimgruber]

- Log traceback too when a block cannot be rendered. [jone]


1.14.0 (2017-01-04)
-------------------

- Move option to hide a block to a behavior so it can be used on other blocks too.
  [mbaechtold]

- Move ``ftw.referencewidget`` dependency to ``contenttypes`` extras. [jone]

- Drop ``plone.formwidget.contenttree`` dependency. [jone]


1.13.0 (2016-12-06)
-------------------

- Prevent gallery block from failing when it contains image objects having
  umlauts in their title.
  [mbaechtold]

- Disable inline validation of the Plone forms in the overlay.
  [mbaechtold]

- Hide toolbox on small devices.
  [Kevin Bieri]

- Highlight active layout.
  [Kevin Bieri]

- Fix toolbar zindex.
  [Kevin Bieri]

- Fix layout delete button when block has been moved.
  [Kevin Bieri]


1.12.2 (2016-11-11)
-------------------

- Don't allow all non-folderish types to be selectable as default page.
  Without this types like the TextBlock can be selected and would break the site.
  [lknoepfel]


1.12.1 (2016-11-01)
-------------------

- Enable mapblock.js for anonymous users.
  [mathias.leimgruber]


1.12.0 (2016-10-21)
-------------------

- Implement a inner_edit.json view, which allows us to edit an item in a
  folderish block. For example edit a file directly in a FilelistingBlock.
  This view works almost like the block edit view, the difference is, that
  the inner_edit.json view returns the rendered html of its parent (the Block).
  [mathias.leimgruber]


1.11.1 (2016-10-13)
-------------------

- Make youtube-videoblocks auto-resize to the max space available.
  [raphael-s]

- Fix SCSS linting errors

    - This requires ftw.theming>=1.7.0


1.11.0 (2016-10-05)
-------------------

- Remove debugger statement :pig:. [Kevin Bieri]

- Support Chameleon caching. [jone]


1.10.0 (2016-09-30)
-------------------

- Open external links in new tab on block creation.
  [Kevin Bieri]


1.9.0 (2016-09-26)
------------------

- Drop support for standard plone theme (sunburst)
  [Kevin Bieri]

- Extend inplace migrator to create listing blocks of ftw.news and ftw.events. [jone]


1.8.3 (2016-09-16)
------------------

- Use ftw.referencewidget instead of plone.formwidget.contenttree.
  [tschanzt]

- Protect new show/hide title behavior.
  [mathias.leimgruber]


1.8.2 (2016-09-14)
------------------

- Add field description for 'Image alternative text' and 'Open image in overlay'.
  [raphael-s]

- Fix Icon position. It is now postitioned to the image not the container.
  [tschanzt]

- Add optional title to the video block (disabled by default).
  [mbaechtold]


1.8.1 (2016-09-06)
------------------

- Add optional behavior to add a checkbox to show/hide the title of a contentpage.
  [raphael-s]


1.8.0 (2016-09-05)
------------------

- Fix drop animation backgroundcolor
  [Kevin Bieri]

- Make leadimages "has_image" and "get_scale" usable. [jone]

- BugFix: Copyied event is called recursively. Check if the block is actually part of the current page.
  [mathias.leimgruber]

- Fix image overlay in textblocks
  [Kevin Bieri]

- Set permission for change layout, site admin & manager now have permission to change the layout.
  [raphael-s]

- Implement inplace migrators for migration from ftw.contentpage. [jone]


1.7.4 (2016-08-16)
------------------

- Display mapblock in 2/3 ratio.
  [mathias.leimgruber]

- Implement a really hackish way to support IE11.
  Native c.geo implementation always implements the map api twice and has caching issues.
  [mathias.leimgruber]


1.7.3 (2016-08-12)
------------------

- Fix 1.7.2 broken simplelayout.js build release.
  [mathias.leimgruber]


1.7.2 (2016-08-11)
------------------

- Fix layout state, while moving layouts between containers.
  [mathias.leimgruber]

- Disable iframe fix after stop/receving a layout.
  [mathias.leimgruber]

- Move layouts like blocks.
  [mathias.leimgruber]

- Fix moveing layouts between containers. The usability is still no the best.
  [mathias.leimgruber]

- Add an icon to mark an colorbox image.
  [tschanzt]


1.7.1 (2016-08-05)
------------------

- Fix word breaks in listingblock table.
  [Kevin Bieri]


1.7.0 (2016-08-05)
------------------

- Implement new block coordinate behavior, which uses it's own widget
  for JS compatibility (it handles the google map api integration).
  [mathias.leimgruber]

- Fix toolbox label zindex
  [Kevin Bieri]

- Add IE11 fix for InAndOutWidget Javascript.
  In IE11 it's not possible to manipulate a select (multiple) after
  modifying the text of a option.
  [mathias.leimgruber]

- Add uninstall profile for ftw.simplelayout.contenttypes.
  [elioschmutz]

- Add uninstall profile for ftw.simplelayout.mapblock.
  [elioschmutz]


1.6.0 (2016-07-18)
------------------

- Fix missing toolbar on videoblocks
  [Kevin Bieri]

- Use zindex system from ftw.theming
  Fix iframeblock boundaries
  [Kevin Bieri]

- Display default youtube player controls
  [Kevin Bieri]

- Translate quickupload title in overlay for filelistings and galleryblocks.
  [elioschmutz]

- Fix floating images on mobile view.
  [Kevin Bieri]

- Make simplelayout events globally available.
  [raphael-s]

- Add min-height to empty Simplelyout portlet.
  This fixes a issue, when it was no longer possible to re-add a layout after deleting the last one.
  [mathias.leimgruber]

- Add sort-options to image gallery block.
  [raphael-s]


1.5.2 (2016-05-26)
------------------

- Do not show spinner when loading toolbox. [jone]


1.5.1 (2016-05-26)
------------------

- Fix IE11 issues on succeding edits with TinyMCE by foucusing first input field. [jone]


1.5.0 (2016-05-26)
------------------

- Implement request tracker.
  [Kevin Bieri]

- Block Views: Check for extisting viewname before setting the view_name value.
  [mathias.leimgruber]

- Make getting the og:image url more robust by checking for the scale.
  [mathias.leimgruber]


1.4.2 (2016-05-25)
------------------

- BugFix for IE11 VideoBlock: Prevent iframe from stopping event bubbling in IE
  [Kevin Bieri]


1.4.1 (2016-05-24)
------------------

- Fix editing issues in IE 11. [jone]


1.4.0 (2016-05-24)
------------------

- Add css class to simplelayout container if the user is permitted to edit the content.
  [Kevin Bieri]

- Implement statekeeter to track DOM changes.
  [Kevin Bieri]


1.3.0 (2016-05-20)
------------------

- Update z3c.form to 2.9.3.
  Fixes error when adding a filelisting-block in IE11.
  [Kevin Bieri]

- Remove block bottom margin from textblocks containing only a title.
  [mathias.leimgruber]

- Do not show empty block warning on textblock if there is only a title.
  [mathias.leimgruber]

- GalleryBlock: Show 4 images in a row for 1 col, 2 in a row for 2 col and 1 a row for 4 col.
  [mathias.leimgruber]

- Add min-height to SimplelayoutBlock empty columns.
  [mathias.leimgruber]

- Fix mouse pointer position according to openlayers pointer.
  [mathias.leimgruber]

- Add image caption field to textblock.
  [mathias.leimgruber]

- Hide main scrollbar when overlay is opened. [jone]

- Lead-Image: support all slots. [jone]

- Lead-Image: support gallery blocks. [jone]

- Remove "Review State" column from file listing block.
  It is usually not in use, since files has no workflow on simplelayout sites.
  [mathias.leimgruber]


1.2.1 (2016-04-14)
------------------

- Reset default scale behavior for textblock images.
  [Kevin Bieri]

- Some blocks can be hidden now. Users allowed to edit the block will see
  the block anyway.
  [mbaechtold]


1.2.0 (2016-03-30)
------------------

- Match the image scaling dimensions on media breakpoints from ftw.theming.
  [Kevin Bieri]

- Use crop scale for textblock images.
  [Kevin Bieri]

- Make textblock images full with for medium screen.
  [Kevin Bieri]

- Extend documentation with class diagram.
  [Kevin Bieri]


1.1.0 (2016-03-03)
------------------

- Configure TinyMCE resource types. [jone]

- Respect disable_border key in request and do not load simplelayout if present.
  [mathias.leimgruber]

- Remove leadimage cache key. [jone]

- Show hint on empty listing and galeryblock.
  [mathias.leimgruber]

- Implement better image alt text for galleryblock and textblock.
  Improves Accessibility.
  [mathias.leimgruber]

- Right column overlapps the toolbar, apply fixed z-index.
  [Kevin Bieri]

- Move styling from client library to ftw.theming integration using
  base variables from ftw.theming.
  [Kevin Bieri]

- Fix simplelayout dynamic scss resource, so it does not return invalid code
  if the selector is empty.
  [mathias.leimgruber]

- Use default table listing for the listingblock styles.
  Also implement some sane default withs for columns.
  [mathias.leimgruber]

- Add Simlelayout view as possible front page layout + addable types on the plone site.
  This change provides no upgrade step, since it may break the configuration.
  [mathias.leimgruber]


1.0a1 (2015-12-04)
------------------

- Init Release
